Subject: bug#6539: ispell-complete-word looks for wrong file (at least on w32)

From: Agustin Martin <[email-masked]>
Date: Tue, 6 Jul 2010 15:48:07 +0200

On Mon, Jul 05, 2010 at 09:50:35PM +0200, Lennart Borgman wrote:
> On Mon, Jul 5, 2010 at 8:23 PM, Eli Zaretskii <[email-masked]> wrote:
> >> From: Lennart Borgman <[email-masked]>
> >> Date: Mon, 5 Jul 2010 19:55:28 +0200
> >> Cc: [email-masked], [email-masked]
> >>
> >> > Why does it matter which file names are tried, if the net result will
> >> > be the same: to fail?
> >>
> >> I thought I did explain that above. The unix style file names can
> >> happen to work on the current default drive if the user did place the
> >> required files there.
> >
> > The chances of the user accidentally putting the file in the same
> > directory where Ispell looks for it, which doesn't exist on Windows
> > and needs to be created, are slim.  The chances of doing that without
> > looking at ispell.el and discovering the defcustom and its default
> > value are even more slim.
> 
> This can rather easily happen. Just imagine a user getting the error
> message and then putting the files there on the current drive.

Note that proposed new error message does not point to an specific
location (just uses 'standard default locations'), but to customize
`ispell-alternate-dictionary'.

-- 
Agustin